
/**
 * Programa de prueba de los equipos
 */
public class PruebaEquipo
{

    private static void muestraPertenencia(Alumno a, Equipo e) {
        if (e.contiene(a)) {
            System.out.println(a+" pertenece a "+
                               e.nombre());
        } else {
            System.out.println(a+" no pertenece a "+
                               e.nombre());            
        }
    }
    
    public static void main (String[] args) {
        
        // Creamos los equipos
        Equipo futbol=new Equipo("Futbol");   
        Equipo baloncesto=new Equipo("Baloncesto");  
        Equipo montana=new Equipo("Montaña");   
        
        // Creamos los alumnos
        Alumno a1=new Alumno("jose","1");
        Alumno a2=new Alumno("ana","2");
        Alumno a3=new Alumno("laura","3");
        Alumno a4=new Alumno("miguel","4");
        Alumno a5=new Alumno("andrea","5");
        Alumno a6=new Alumno("pablo","6");
        Alumno a7=new Alumno("javi","7");
        Alumno a8=new Alumno("noelia","8");
        Alumno a9=new Alumno("jorge","9");
        Alumno a10=new Alumno("olga","10");
        
        // Metemos jugadores en los equipos
        try {
            futbol.inserta(a1);
            futbol.inserta(a2);
            futbol.inserta(a3);
            futbol.inserta(a4);
            futbol.inserta(a5);
            futbol.inserta(a6);
        } catch (Repetido e) {
            System.out.println("Error inesperado: alumno repetido "+e);
        }
        // Metemos jugadores en los equipos
        try {
            montana.inserta(a1);
            montana.inserta(a5);
            montana.inserta(a6);
            montana.inserta(a10);
        } catch (Repetido e) {
            System.out.println("Error inesperado: alumno repetido "+e);
        }

        try {
            baloncesto.inserta(a5);
            baloncesto.inserta(a6);
            baloncesto.inserta(a7);
            baloncesto.inserta(a8);
            baloncesto.inserta(a9);
            baloncesto.inserta(a10);
        } catch (Repetido e) {
            System.out.println("Error inesperado: alumno repetido "+e);
        }
        
        // Probamos a meter uno repetido
        try {
            baloncesto.inserta(a5);
        } catch (Repetido e) {
            System.out.println("Excepcion alumno repetido "+e);
        }
        
        // Mostramos los tres equipos
        futbol.muestra();
        baloncesto.muestra();
        montana.muestra();
        
        // Borramos un jugador de montana 
        // y luego lo intentamos de nuevo
        try {
            montana.borra(a6);
        } catch (NoExiste e) {
            System.out.println("Error inesperado: Alumno no existe "+e);   
        }
        try {
            montana.borra(a6);
        } catch (NoExiste e) {
            System.out.println("Excepcion alumno no existe "+e);   
        }
        montana.muestra();
        
        // Probamos la pertenencia
        muestraPertenencia(a1,futbol);
        muestraPertenencia(a1,montana);
        muestraPertenencia(a1,baloncesto);
        
        // Probamos interseccion y union
        Equipo fInterB=futbol.interseccion(baloncesto);
        Equipo fUnionB=futbol.union(baloncesto);
        Equipo todo=fUnionB.union(montana);
        
        fUnionB.muestra();
        fInterB.muestra();
        todo.muestra();
        
    }
}
